<div class="row">
    <div class="col s12 m12">
        <div class="card">
            <div class="card-image col s12 m4">
                <img id="image" src="images/sample-1.jpg">
                <span class="card-title hide-on-large-only" id="name"></span>
            </div>
            <div class="col s12 m8">
                <div class="card-content hide-on-large-only">
                    <p id="partnumber"></p>
                </div>
            </div>
            <ul class="collection" id="attr-produto">
            </ul>
        </div>
        <div class="card-action col s12">
            <a class="hide-on-large-only" href="javascript:loadPage('solucoes/index');">VOLTAR</a>
            <a class="hide-on-med-and-down" href="javascript:loadPage('solucoes/table');">VOLTAR</a>
            <a class="right" href="javascript:openMainModal('#modalGenCopia')">GERAR PROPOSTA</a>
        </div>
    </div>
</div>

<!--Cópia de Propostas-->
<div id="modalGenCopia" class="modal modal-fixed-footer">
    <div class="modal-content">
        <h4>Gerar Proposta</h4>
        <div class="input-field col s12 l4">
            <label for="cnpjCliente" class="active">CNPJ</label>
            <input class="autocomplete" id="cnpjCliente" name="cnpjCliente"
                   placeholder="CNPJ" type="text" onblur="searchCliente('#cnpjCliente');">
            <input type="hidden" id="idClienteSolucao">
            <input type="hidden" id="idSolucao">
        </div>
        <div class="input-field col s12 l8">
            <label for="nomeClienteCopia" class="active">Razão Social</label>
            <input class="form-control" id="nomeClienteCopia" name="nomeClienteCopia"
                   placeholder="Razão Social" type="text" disabled>
        </div>
        <div class="input-field col s12 l4">
            <select id="finalidadeCopia" name="finalidadeCopia">
                <option value="CONSUMO">Consumo Próprio</option>
                <option value="REVENDA">Venda Direta</option>
                <option value="INDUSTRIALIZACAO">Industrialização</option>
            </select>
            <label for="finalidadeCopia">Finalidade</label>
        </div>
        <div class="input-field col s12 l8">
            <label for="nomeProjetoCopia" class="active">Nome do Projeto</label>
            <input class="form-control" id="nomeProjetoCopia" name="nomeProjetoCopia"
                   placeholder="Nome do Projeto" type="text">
        </div>
        <div class="input-field col s12 l5">
            <label for="nomeContatoCopia" class="active">Nome do Contato</label>
            <input class="form-control" id="nomeContatoCopia" name="nomeContatoCopia"
                   placeholder="Nome do Contato" type="text">
        </div>
        <div class="input-field col s12 l7">
            <label for="emailContatoCopia" class="active">Email do Contato</label>
            <input class="form-control" id="emailContatoCopia" name="emailContatoCopia"
                   placeholder="Email do Contato" type="email">
        </div>
        <div class="input-field col s12 l4">
            <label for="telefoneContatoCopia" class="active">Telefone do Contato</label>
            <input class="form-control" id="telefoneContatoCopia" name="telefoneContatoCopia"
                   placeholder="Telefone do Contato" type="tel">
        </div>
    </div>
    <div class="modal-footer">
        <a href="#" class="waves-effect waves-green btn-flat" onclick="closeSolutionModal()">Cancelar</a>
        <a href="#" onclick="genPropostaFromSolution()" class="waves-effect waves-green btn-flat">Enviar</a>
    </div>
</div>

<script src="js/solucao.js" type="application/javascript"></script>
<script>
    const solucao = JSON.parse(localStorage.getItem('solucao'));
    if (solucao === null) {
        loadPage('solucoes/index');
    }
    else {
        let image = solucao.imageUrl;
        $('#partnumber').html(solucao.partNumber);

        $('#idSolucao').val(solucao.id);
        $('#name').html(solucao.descricao);
        if (image === null || image === '' || image === 'undefined')
            image = 'https://www.vertivco.com/globalassets/images/on-page-image/612x455/tm-rom-na-612x455-26074-ds-ec-fans-teaser-image_104060_0.jpg';
        $('#image').attr('src', image);

        $(`<li class="collection-item hide-on-med-and-down"><h5>${solucao.descricao}<br/><small>Produto</small></h5></li>`).appendTo('#attr-produto');
        $.each(solucao.itensSolutionBox, function (i, item) {
            $(`<li class="collection-item"><h5>${item.partNumber}<span class="right">QTD: ${item.quantidade}</span><br/><small>${item.descricao}</small></h5></li>`).appendTo('#attr-produto');
        });
    }

    $('#app-action').html('');
    localStorage.setItem('solucao', null);
</script>